Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class FormularyreferenceType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.FormularyreferenceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:01+01:00",
               comments="JAXB RI v2.2.11")
    public class FormularyreferenceType

extends Object
implements Serializable

Java class for formularyreferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="formularyreferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-FORMULARY" maxOccurs="unbounded"/>
               <element name="formularyname" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FormularyreferenceType()`

Method Summary
`List<CDFORMULARY>` | `getCds()` Gets the value of the cds property.
`String` | `getFormularyname()` Gets the value of the formularyname property.
`void` | `setFormularyname(String value)` Sets the value of the formularyname property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormularyreferenceType

    public FormularyreferenceType()

Method Detail

### getFormularyname

    public String getFormularyname()

  Gets the value of the formularyname property.

  Returns:
    possible object is `String`

### setFormularyname

    public void setFormularyname(String value)

  Sets the value of the formularyname property.

  Parameters:
    `value` - allowed object is `String`

### getCds

    public List<CDFORMULARY> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDFORMULARY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.